import { _decorator, AssetManager, assetManager, Component, director, Node } from 'cc';
const { ccclass, property } = _decorator;

import { game0 } from '../game0/game0';

@ccclass('game1')
export class game1 extends game0 {
    start() {
        this.node.getChildByPath(`SpriteSplash`).on(Node.EventType.TOUCH_END, () => {
            assetManager.loadBundle('game0', (err, bundle) => {
                if (err) {
                    console.log(err);
                } else {
                    assetManager.loadBundle('game1', (err, bundle) => {
                        if (err) {
                            console.log(err);
                        } else {
                            bundle.loadScene(`game1`, (err, scene) => {
                                if (err) {
                                    console.log(err);
                                } else {
                                    assetManager.loadBundle('game2', (err, bundle) => {
                                        if (err) {
                                            console.log(err);
                                        } else {
                                            console.log(`removeBundle: ${bundle.name}`);
                                            //释放资源
                                            bundle.releaseAll();
                                            //卸载子包
                                            assetManager.removeBundle(bundle);
                                            //切换场景
                                            director.runScene(scene);

                                            // //切换场景
                                            // director.runScene(scene, () => {}, () => {
                                            //     console.log(`removeBundle: ${bundle.name}`);
                                            //     //释放资源
                                            //     bundle.releaseAll();
                                            //     //卸载子包
                                            //     assetManager.removeBundle(bundle);
                                            // });
                                        }
                                    });
                                }
                            });
                        }
                    });
                }
            });
        });
    }
}
